<?php
$result_receptor=mssql_query("SELECT receptores.* FROM receptores,cotizaciones WHERE cotizaciones.cve_cotizacion ='".$row_factura["cve_cotizacion"]."' AND receptores.csc=cotizaciones.cve_cliente",$conexion)or die("dibujar_factura.php linea 2");
$row_receptor=mssql_fetch_assoc($result_receptor);
mssql_free_result($result_receptor);

$result_cotizacion=mssql_query("SELECT * FROM cotizaciones WHERE cve_cotizacion='".$row_factura["cve_cotizacion"]."'",$conexion);
$row_cotizacion=mssql_fetch_assoc($result_cotizacion);
mssql_free_result($result_cotizacion);

//$tipoCambio = ($row_factura['version']=="2.0")?$row_cotizacion["imp_tc"]:1;
$tipoCambio = $row_cotizacion["imp_tc"];
$result_registros=mssql_query("SELECT * FROM cot_registros WHERE cve_cotizacion='".$row_factura["cve_cotizacion"]."'",$conexion);
$row_registros=mssql_fetch_assoc($result_registros);
mssql_free_result($result_registros);


$result_complemento=mssql_query("SELECT * FROM conector_complemento WHERE cve_cotizacion='".$row_factura["cve_cotizacion"]."'",$conexion);
$row_complemento=mssql_fetch_assoc($result_complemento);
mssql_free_result($result_complemento);

$query_detalle="SELECT * FROM detalle_cotizacion WHERE cve_cotizacion='".$row_factura["cve_cotizacion"]."' and num_referencia != '' ORDER BY pedido,posicion";
$result_detalle=mssql_query($query_detalle,$conexion);
unset($data);$descto=0;$suma=0;$subtotal1=0;$i=0;$haydetalle=true;$haypedimentos=false;unset($datapedimentos);
while ($row_detalle=mssql_fetch_assoc($result_detalle))
{
$pos = (intval($row_detalle["posicion"])==0)?"":intval($row_detalle["posicion"]);
  $data[]=array(
	$pos,//0
	trim($row_detalle['num_referencia']),//1
	$row_detalle["des_comentarios_partida"],//2
	$row_detalle['peso'],//number_format($row_detalle["cantidad"],3),//3
	$row_detalle["des_unidadmedida"],// 4
	$row_detalle['letras'],//number_format($row_detalle["preciounitario"]/$row_cotizacion["imp_tc"],2),//5
	number_format($row_detalle["imp_pu"],2),//6
	number_format($row_detalle["imp_partida"],2)//7
	);
}
mssql_free_result($result_detalle);
$query_detalle="SELECT * FROM detalle_cotizacion WHERE cve_cotizacion='".$row_factura["cve_cotizacion"]."' and num_referencia = ''";
$result_detalle=mssql_query($query_detalle,$conexion);
while ($row_detalle=mssql_fetch_assoc($result_detalle)){
  $data[]=array(
	$row_detalle["imp_partida"]>0?$row_detalle['posicion']:"",//0
	"",//1
	$row_detalle["des_comentarios_partida"],//2
	$row_detalle["imp_partida"]>0?$row_detalle['cantidad']:"",//3
	$row_detalle["imp_partida"]>0?$row_detalle['des_unidadmedida']:"",// 4
	$row_detalle["imp_partida"]>0?number_format($row_detalle["imp_pu"],2):"",//5
	"",//6
	$row_detalle["imp_partida"]>0?number_format($row_detalle["imp_partida"],2):""//7
	);
}
mssql_free_result($result_detalle);

//****************************** datos del emisor y de la factura *********************
$_1 = $row_factura["receptornombre"];// Nombre del cliente
$_2 = $row_factura['serie'];// serie
$_3 = $row_complemento['expedidoen'];
$_4 = intval($row_cotizacion['cve_cliente']); // Número de cliente
$_5 = $row_factura['fecha'];//fecha
$_7 = $row_factura['receptorcalle']." ".$row_factura['receptornoexterior']." ".$row_factura['receptornointerior']." ".$row_factura['receptorcolonia']."\n".$row_factura['receptormunicipio']."\n".$row_factura['receptorestado']; //Calle numero
$_9 = $row_factura['folio'];//folio de la factura
$_14 = $row_factura['receptorcodigopostal'];// CP
$_15 = trim($row_factura['cve_cotizacion']); // Clave factura
$_16 = $row_factura['expedidocalle']." ".$row_factura['expedidonoexterior'];
$_17 = $row_factura['expedidolocalidad']." ".$row_factura['expedidoestado']." ".$row_factura['expedidopais'];
$_18 = strtoupper(trim($row_factura['receptorrfc']));// RFC del cliente
$_20 = $row_complemento['referencia'];
$_21 = $row_complemento['totaldetoneladas'];
$_22 = ($_18=="XEXX010101000")?" ".$row_factura['receptorpais']."\nTELEPHONE ".$row_complemento['numeroclientefinal']."\nFAX ".$row_complemento['direccion1cltefinal']:"";
$_23 = "FACTURA / INVOICE";
$_24 = $row_complemento['condiciondeventa'];
$_25 = number_format($row_cotizacion['pct_iva'],2);//PORCENTAJE IVA
$_26 = $row_cotizacion['letras']; // Importe con letra
$_27 = number_format($row_cotizacion['pct_retencion'],2);//PORCENTAJE RETENCION
$_28 = $row_cotizacion['imp_retencion'];//IMPORTE RETENCION
$_29 = "(VALUE ADDED TAX) ";
$_31 = $row_factura['sellodigital'];// Sello digital
//$_32 = $row_factura['cadenaoriginal'];// Cadena Original
//$_33 = $row_factura['noaprobacion'];// Número de aprobación
$_50 = $row_registros['cadenaoriginal'];//cadena original
$_51 = $row_registros['sellodigital'];//sello digital
$_34 = $row_factura['anoaprobacion'];// Año de aprobación
$_36 = $row_factura['version']; //version
$_37 = $row_factura['nocertificado'];// Certificado
$_40 = number_format($row_cotizacion['imp_subtotal'],2);//subtotal
$_41 = number_format($row_cotizacion['imp_iva'],2);//iva
$_42 = number_format($row_cotizacion['imp_total'],2);//total
//$_43 = $row_registros['fecha'];//fecha y hora
$_53 = ($row_complemento['numerodeconsignatario']); // CLAVE CONSIGNATARIO
$_55 = trim($row_complemento['nombreconsignatario']); // CONSIGNATARIO
$_58 = $row_complemento['numentrega']; // REMISION
$_61 = $row_complemento['lineatransportista']; // LINEA TRANSPORTISTA
$_76 = str_replace("|","\n",$row_complemento['direccion1consig']); // DIRECCION 1 DEL CONSIGNATARIO
$_81 = str_replace("|","\n",$row_complemento['ciudadedopaisconsig']); // CIUDAD, ESTADO Y PAIS DEL CONSIGNATARIO
$_83 = $row_complemento['condiciondepago']; // CONDICION DE PAGO $row_cotizacion['condpago'];
$_88 = "|".$row_complemento['leyendas'];

$_92 = !empty($row_cotizacion['metododepago'])?$row_cotizacion['metododepago']:"No identificado"; // Método de Pago;
$_93 = !empty($row_cotizacion['numctapago'])?$row_cotizacion['numctapago']:"No identificado"; // Cuenta de Pago;
$_94 = strtoupper("Régimen General de Ley Personas Morales");
$_95 = trim($row_factura['uuid']);
$_96 = "?re=".$row_factura['emisorrfc']."&rr=".$row_factura['receptorrfc']."&tt=".number_format($row_cotizacion['imp_total'],6,".","")."&id=$_95";
$_97 = $row_factura['fechatimbrado'];
$_98 = $row_factura['nocertificadosat'];
$_99 = $row_factura['sellosat'];
$ambiente=$ambiente;

include 'qrcode.class.php';
$qrcode = new QRcode($_96);
$qrcode->disableBorder();

$w = array(10,14,77,34.8,10,25,25);
$haydetalle = true;
$haylinea = true;
require_once 'clase_nasa.php';
$pdf=new PDF('p','mm','letter');
$pdf->SetFont('Arial','',6);
$pdf->SetAutoPageBreak(true,49);
$pdf->AliasNbPages();
$pdf->AddPage();


$h = 3;
 $i=0;

if(sizeof($data))
foreach($data as $detalle)
{
  $i++;
  $temp = explode("|",$detalle[2]);
  $pdf->Cell($w[0],$h,$detalle[0],'LR',0,'C');
  $pdf->Cell($w[1],$h,$detalle[1],'LR',0,'C');
  $pdf->Cell($w[2],$h,$temp[0],'LR',0,'L');
  $pdf->Cell($w[3],$h,$detalle[3],'LR',0,'R');
  $pdf->Cell($w[4],$h,$detalle[4],'LR',0,'C');
  $pdf->Cell($w[5],$h,$detalle[5],'LR',0,'R');
  $pdf->Cell($w[6],$h,$detalle[7],'LR',1,'R');
  for($j=1;$j<sizeof($temp);$j++)
  {
    $k = trim($temp[$j]);
	if(!empty($k))
	{
      $i++;
	  $pdf->Cell($w[0],$h,"",'LR',0,'C');
      $pdf->Cell($w[1],$h,"",'LR',0,'C');
      $pdf->Cell($w[2],$h,$k,'LR',0,'L');
      $pdf->Cell($w[3],$h,"",'LR',0,'C');
      $pdf->Cell($w[4],$h,"",'LR',0,'C');
      $pdf->Cell($w[5],$h,"",'LR',0,'R');
      $pdf->Cell($w[6],$h,"",'LR',1,'R');
	}
  }
}
$haydetalle = false;
$temp = explode("|",$_88);
foreach($temp as $k=>$v)
{
  $i++;
  $pdf->Cell($w[0],$h,$v,'LR',0,'L');
  $pdf->Cell($w[1],$h,"",'LR',0,'C');
  $pdf->Cell($w[2],$h,"",'LR',0,'C');
  $pdf->Cell($w[3],$h,"",'LR',0,'C');
  $pdf->Cell($w[4],$h,"",'LR',0,'C');
  $pdf->Cell($w[5],$h,"",'LR',0,'R');
  $pdf->Cell($w[6],$h,"",'LR',1,'R');
}
while($i<25)
{
  $i++;
  $pdf->Cell($w[0],$h,"",'LR',0,'L');
  $pdf->Cell($w[1],$h,"",'LR',0,'C');
  $pdf->Cell($w[2],$h,"",'LR',0,'C');
  $pdf->Cell($w[3],$h,"",'LR',0,'C');
  $pdf->Cell($w[4],$h,"",'LR',0,'C');
  $pdf->Cell($w[5],$h,"",'LR',0,'R');
  $pdf->Cell($w[6],$h,"",'LR',1,'R');
}

$pdf->SetFillColor(140, 168, 169);
if($_18=="XEXX010101000")
{

$pdf->Cell($w[0],$h,"",'LR',0,'L');
$pdf->Cell($w[1],$h,"",'LR',0,'C');
$pdf->Cell($w[2],$h,"",'LR',0,'C');
$pdf->Cell($w[3],$h,"TOTAL QUANTITY",1,0,'C',1);
$pdf->Cell($w[4],$h,"",'LR',0,'C');
$pdf->Cell($w[5],$h,"",'LR',0,'R');
$pdf->Cell($w[6],$h,"",'LR',1,'R');

$pdf->Cell($w[0],$h,"",'LR',0,'L');
$pdf->Cell($w[1],$h,"",'LR',0,'C');
$pdf->Cell($w[2],$h,"",'LR',0,'C');
$pdf->Cell($w[3],$h,"$_21",1,0,'C',1);
$pdf->Cell($w[4],$h,"",'LR',0,'C');
$pdf->Cell($w[5],$h,"",'LR',0,'R');
$pdf->Cell($w[6],$h,"",'LR',1,'R');


}

$haylinea = false;

$h = 4;

$pdf->Cell($w[0]+$w[1]+$w[2]+$w[3],$h,$_26,'LTR',0,'L');
$pdf->Cell($w[4]+$w[5],$h,"SUB-TOTAL",'LTR',0,'L',1);
$pdf->Cell($w[5],$h,$_40,'LTR',1,'R');

$pdf->Cell($w[0]+$w[1]+$w[2]+$w[3],$h,"Importe con letra                      ",'LBR',0,'R');
$pdf->Cell($w[4]+$w[5],$h,$_29."IVA $_25%",'LR',0,'L',1);
$pdf->Cell($w[5],$h,$_41,'LR',1,'R');

if($_28>0){
$pdf->SetX(10+$w[0]+$w[1]+$w[2]+$w[3]);
$pdf->Cell($w[4]+$w[5],$h,"IVA RET $_27%",'LR',0,'L',1);
$pdf->Cell($w[5],$h,number_format($_28*-1,2),'LR',1,'R');
}

$pdf->SetX(10+$w[0]+$w[1]+$w[2]+$w[3]);
$pdf->Cell($w[4]+$w[5],$h,"TOTAL (AMOUNT)",'LBR',0,'L',1);
$pdf->Cell($w[5],$h,$_42,'LRB',1,'R');


$pdf->MultiCell(0,4,"METODO DE PAGO: ".$_92."                    Número de cuenta de pago: ".$_93,0,'L');
$pdf->Ln(3);
$pdf->Cell(0,3,"CADENA ORIGINAL",0,1,'L');
$pdf->MultiCell(0,3,$_50,0,'L');
$pdf->Cell(0,3,"SELLO DIGITAL",0,1,'L');
$pdf->MultiCell(0,3,$_51,0,'L');
$pdf->Cell(0,3,"SELLO DIGITAL DEL SAT",0,1,'L');
$pdf->MultiCell(0,3,$_99,0,'L');


?>